Intellig idea jdk明明是1.8了,还是 出现Diamond types are not supported at this language level

本来jdk是1.6或之前的集合是需要

List<PublicBlogListBean>  _hotDatas = new ArrayList<PublicBlogListBean>();

 

但是在JDK 1.7里新增了一个新特性:

增强对通用实例创建(diamond)的类型推断 :
类型推断是一个特殊的烦恼,下面的代码:
Map<String, List<String>> anagrams = new HashMap<String, List<String>>();

通过类型推断后变成:
Map<String, List<String>> anagrams = new HashMap<>();
这个<>被叫做diamond(钻石)运算符,这个运算符从引用的声明中推断类型。

修改如下:

单击File | Project Structure菜单项



如果看到:9-JDK modelarization etc.最好别手贱,这个不是


阅读更多
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页